window.addEventListener('load', function() {

  var originalOpenBookmark = BookmarksCommand.openBookmark;

  BookmarksCommand.openBookmark = function(aSelection, aTargetBrowser, aDS) {
    if (aSelection.length == 1) {
      if (aTargetBrowser == 'current' &&
        gBrowser.currentURI.spec != 'about:blank')
        aTargetBrowser = 'tab'; // = 'tabshifted';
      else if (aTargetBrowser == 'tab' || aTargetBrowser == 'tabshifted')
        aTargetBrowser = 'current';
    }
    return originalOpenBookmark.call(this,
             aSelection, aTargetBrowser, aDS);
  };

}, false);
